// Code generated by mockery v2.4.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	router "gitlab.com/thegalabs/go/functions/router"
)

// DELETE is an autogenerated mock type for the DELETE type
type DELETE struct {
	mock.Mock
}

// Delete provides a mock function with given fields: _a0
func (_m *DELETE) Delete(_a0 router.Context) error {
	ret := _m.Called(_a0)

	var r0 error
	if rf, ok := ret.Get(0).(func(router.Context) error); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
